aboutsummaryrefslogtreecommitdiffstats
path: root/.ci/check-bashisms.sh
diff options
context:
space:
mode:
authorSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-12-08 12:59:32 +0100
committerSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-12-14 08:49:03 +0000
commitd035a0a5fea7bf94cab1b1d6816c61febdfb8eb6 (patch)
tree2acfee29c3f3ad76b0ad6661b42efa1a548ac831 /.ci/check-bashisms.sh
parentd09f363e87c98d19ba2fccdf8f235d5cbfb908ee (diff)
[GLOBAL] Move to Gitlab
Add all necessary files in order to move OOM repo to gitlab and also uses gitlab-ci features. Issue-ID: OOM-1 Signed-off-by: Sylvain Desbureaux <sylvain.desbureaux@orange.com> Change-Id: Ie3ba8d22828b103219d590886a8c58825eff2eef
Diffstat (limited to '.ci/check-bashisms.sh')
-rwxr-xr-x.ci/check-bashisms.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/.ci/check-bashisms.sh b/.ci/check-bashisms.sh
index 0dae2255b7..0915725bae 100755
--- a/.ci/check-bashisms.sh
+++ b/.ci/check-bashisms.sh
@@ -14,14 +14,18 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -eu
+
if ! which checkbashisms >/dev/null && ! sudo yum install devscripts-minimal && ! sudo apt-get install devscripts
then
printf "checkbashisms command not found - please install it \n\
(e.g. sudo apt-get install devscripts | yum install devscripts-minimal )\n" >&2
exit 2
fi
+
find . -not -path '*/.*' -name '*.sh' -exec checkbashisms {} + || exit 3
find . -not -path '*/.*' -name '*.failover' -exec checkbashisms -f \{\} + || exit 4
! find . -not -path '*/.*' -name '*.sh' -exec grep 'local .*=' {} + || exit 5
! find . -not -path '*/.*' -name '*.failover' -exec grep 'local .*=' {} + || exit 6
+
exit 0